package net.noderunner.amazon.s3;

import static org.junit.Assert.assertEquals;

import org.junit.Test;


public class HeadersTest {

	@Test
	public void testHeaders() {
		Headers h = new Headers();
		h.put("x", "x1");
		h.put("x", "x2");
		assertEquals(null, h.getValue("y"));
		assertEquals("x1", h.getValue("x"));
		Headers h2 = new Headers(h);
		assertEquals("x1", h2.getValue("x"));
		
		h2.mergeMetadata(h2);
	}
}
